## org.eclipse.emf.query.statements
Class FROM

    java.lang.Object
      org.eclipse.emf.query.internal.statements.QueryClause
          org.eclipse.emf.query.statements.FROM

    public class FROM

extends org.eclipse.emf.query.internal.statements.QueryClause

The "FROM" clause for the `SELECT` and `UPDATE` statements. This clause is used to specify the input source of EObjects to be queried.

Constructor Summary
`FROM(Collection<? extends EObject> eObjects)`
`FROM(Collection<? extends EObject> eObjects, EObjectCondition filterCondition)`
`FROM(Collection<? extends EObject> eObjects, EObjectCondition filterCondition, IteratorKind iteratorKind, IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)`
`FROM(Collection<? extends EObject> eObjects, IteratorKind iteratorKind)`
`FROM(EObject eObject)`
`FROM(EObject eObject, EObjectCondition filterCondition)`
`FROM(EObject eObject, EObjectCondition filterCondition, IteratorKind iteratorKind, IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)`
`FROM(EObject eObject, IteratorKind iteratorKind)`
`FROM(IEObjectSource eObjectSource)`
`FROM(IEObjectSource eObjectSource, EObjectCondition filterCondition)`
`FROM(IEObjectSource eObjectSource, EObjectCondition filterCondition, IteratorKind iteratorKind, IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)`
`FROM(IEObjectSource eObjectSource, IteratorKind iteratorKind)`

Method Summary
`boolean` `canBePruned()`
`TreeIterator<EObject>` `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FROM

    public FROM(IEObjectSource eObjectSource)

### FROM

    public FROM(IEObjectSource eObjectSource,
                IteratorKind iteratorKind)

### FROM

    public FROM(IEObjectSource eObjectSource,
                EObjectCondition filterCondition)

### FROM

    public FROM(IEObjectSource eObjectSource,
                EObjectCondition filterCondition,
                IteratorKind iteratorKind,
                IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)

### FROM

    public FROM(EObject eObject)

### FROM

    public FROM(EObject eObject,
                IteratorKind iteratorKind)

### FROM

    public FROM(EObject eObject,
                EObjectCondition filterCondition)

### FROM

    public FROM(EObject eObject,
                EObjectCondition filterCondition,
                IteratorKind iteratorKind,
                IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)

### FROM

    public FROM(Collection<? extends EObject> eObjects)

### FROM

    public FROM(Collection<? extends EObject> eObjects,
                EObjectCondition filterCondition)

### FROM

    public FROM(Collection<? extends EObject> eObjects,
                IteratorKind iteratorKind)

### FROM

    public FROM(Collection<? extends EObject> eObjects,
                EObjectCondition filterCondition,
                IteratorKind iteratorKind,
                IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)

Method Detail

### canBePruned

    public boolean canBePruned()

### iterator

    public TreeIterator<EObject> iterator()

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.